#! /usr/bin/ruby

# Copyright (C) 2010 Jérémy Pages.
 
# This file is part of Mnemochess.
  
# Mnemochess is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.

# Mnemochess is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
 
# You should have received a copy of the GNU General Public License
# along with Mnemochess.  If not, see <http://www.gnu.org/licenses/>.

require 'ui.rb'

# Loading the diagrams' file

$diagArray = Array.new()

file = File.open("mnemochess.fen","r")
file.each_line {|line| $diagArray.push(line)}

appWindow = MnemochessUI::new()
appWindow.mainloop

file.close
